version: '3.7'

services:
  app:
    container_name: {{lookup('env', 'CI_PROJECT_NAME')}}-{{lookup('env', 'CI_COMMIT_REF_SLUG')}}
    image: {{lookup('env','CI_REGISTRY')}}/{{lookup('env','CI_PROJECT_PATH')}}/{{lookup('env','CI_PROJECT_NAME')}}:{{lookup('env','CI_COMMIT_REF_SLUG')}}
    environment:
      VIRTUAL_HOST: {{lookup('env', 'DEPLOY_DOMAIN')}}
      VIRTUAL_PORT: "8000"
    expose:
      - "8000"
    networks:
      - proxy
    volumes:
      - ./db:/app/db/

networks:
  proxy:
    external: true
    name: proxy
